# cddl and curl are prerequisite
# fail hard if they are not found
# curl is here for a future dynamic download

cddl ?= $(shell command -v cddl)
ifeq ($(strip $(cddl)),)
$(error cddl not found. To install cddl: 'gem install cddl')
endif

diag2cbor ?= $(shell command -v diag2cbor.rb)
ifeq ($(strip $(diag2cbor)),)
$(error diag2cbor.rb not found. To install diag2cbor.rb: 'gem install cbor-diag')
endif

curl ?= $(shell command -v curl)
ifeq ($(strip $(curl)),)
$(error curl not found)
endif